GDBserver

Functions
errors.h File Reference

Go to the source code of this file.

## Functions
void | warning (const char *fmt,...) ATTRIBUTE_PRINTF(1
void void | vwarning (const char *fmt, va_list args) ATTRIBUTE_PRINTF(1
void void void | error (const char *fmt,...) ATTRIBUTE_NORETURN ATTRIBUTE_PRINTF(1
void void void void | verror (const char *fmt, va_list args) ATTRIBUTE_NORETURN ATTRIBUTE_PRINTF(1
void void void void void | internal_error (const char *file, int line, const char *fmt,...) ATTRIBUTE_NORETURN ATTRIBUTE_PRINTF(3
void void void void void void | internal_verror (const char *file, int line, const char *fmt, va_list args) ATTRIBUTE_NORETURN ATTRIBUTE_PRINTF(3
void void void void void void void | internal_warning (const char *file, int line, const char *fmt,...) ATTRIBUTE_PRINTF(3
void void void void void void void void | internal_vwarning (const char *file, int line, const char *fmt, va_list args) ATTRIBUTE_PRINTF(3
void void void void void void void void void | perror_with_name (const char *string) ATTRIBUTE_NORETURN
void | malloc_failure (long size) ATTRIBUTE_NORETURN

## Function Documentation

## ◆ error()

void void void error | ( | const char * | fmt,
|  |  | ...
| ) |  |

## ◆ internal_error()

void void void void void internal_error | ( | const char * | file,
|  | int | line,
|  | const char * | fmt,
|  |  | ...
| ) |  |

## ◆ internal_verror()

void void void void void void internal_verror | ( | const char * | file,
|  | int | line,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

## ◆ internal_vwarning()

void void void void void void void void internal_vwarning | ( | const char * | file,
|  | int | line,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

## ◆ internal_warning()

void void void void void void void internal_warning | ( | const char * | file,
|  | int | line,
|  | const char * | fmt,
|  |  | ...
| ) |  |

## ◆ malloc_failure()

void malloc_failure | ( | long | size | ) |

Definition at line 32 of file utils.c.

References PREFIX.

Referenced by operator new(), xcalloc(), xmalloc(), xmalloc_failed(), xrealloc(), and xstrdup().

## ◆ perror_with_name()

void void void void void void void void void perror_with_name | ( | const char * | string | ) |

Definition at line 57 of file utils.c.

References alloca(), errno, error(), and strerror().

Referenced by aarch64_point_encode_ctrl_reg(), alloc_jump_pad_buffer(), arm_prepare_to_resume(), fetch_ppc_register(), fork_inferior(), handle_accept_event(), handle_extended_wait(), initialize_tracepoint(), kill_lwp(), kill_wait_lwp(), linux_check_ptrace_features(), linux_fork_to_function(), linux_ns_same(), linux_resume_one_lwp_throw(), lynx_add_threads_after_attach(), lynx_resume(), lynx_waitpid(), mips_linux_prepare_to_resume(), mips_read_description(), ppc_collect_ptrace_register(), ppc_supply_ptrace_register(), remote_open(), remote_prepare(), restore_original_signals_state(), save_original_signals_state(), spu_resume(), spu_wait(), wait_for_event(), x86_linux_dr_get(), and x86_linux_dr_set().

## ◆ verror()

void void void void verror | ( | const char * | fmt,
|  | va_list | args
| ) |  |

## ◆ vwarning()

void void vwarning | ( | const char * | fmt,
|  | va_list | args
| ) |  |

## ◆ warning()

void warning | ( | const char * | fmt,
|  |  | ...
| ) |  |